Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types.VmMigrateFailed

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.xensource.xenapi.Types.XenAPIException
                      com.xensource.xenapi.Types.VmMigrateFailed

All Implemented Interfaces:
  Serializable

Enclosing class:
  Types

    public static class Types.VmMigrateFailed

extends Types.XenAPIException

An error occurred during the migration process.

See Also:
  Serialized Form

Field Summary
`String` | `destination`
`String` | `msg`
`String` | `source`
`String` | `vm`

Fields inherited from class com.xensource.xenapi.Types.XenAPIException
`errorDescription, shortDescription`

Constructor Summary
`Types.VmMigrateFailed(String vm, String source, String destination, String msg)` Create a new VmMigrateFailed

Method Summary

Methods inherited from class com.xensource.xenapi.Types.XenAPIException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vm

    public final String vm

### source

    public final String source

### destination

    public final String destination

### msg

    public final String msg

Constructor Detail

### Types.VmMigrateFailed

    public Types.VmMigrateFailed(String vm,
                                 String source,
                                 String destination,
                                 String msg)

  Create a new VmMigrateFailed

  Parameters:
    `vm` -
    `source` -
    `destination` -
    `msg` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD